package com.tipcj;

public class ServiceType {
	int val;

	public ServiceType(int srvtype) {
		this.val = srvtype;
	}

	public boolean equals(Object obj) {
		if (obj instanceof ServiceType) {
			return val == ((ServiceType) obj).val;
		}
		return false;
	}

	/* node state service type */
	public static final ServiceType TIPC_NODE_STATE = new ServiceType(TipcConfig.TIPC_NODE_STATE);
	/* topology server service type */
	public static final ServiceType TIPC_TOP_SRV = new ServiceType(TipcConfig.TIPC_TOP_SRV);
	/* link state service type */
	public static final ServiceType TIPC_LINK_STATE = new ServiceType(TipcConfig.TIPC_LINK_STATE);
}
